/** @type {import("tailwindcss/colors")} */
const colors = require("tailwindcss/colors");

/** @type {import("tailwindcss").Config} */
module.exports = {
  content: ["./src/app/pages/**/*.rs"],
  theme: {
    fontFamily: {
      sans: ["sans-serif"],
      mono: ["monospace"],
    },
    extend: {
      colors: {
        fg: {
          base: colors.slate[300],
          deemphasized: colors.slate[400],
          headings: colors.white,
        },
        bg: {
          base: colors.slate[900],
          raised: {
            // backgrounds
            1: colors.slate[800],
            2: colors.slate[700],
          },
        },
        bd: {
          base: colors.slate[700],
          highlighted: colors.slate[500],
        },
      },
    },
  },
};
